Clinia
RegistryPurge

Purge operation request for resources or relationships

POST
/sources/{sourceKey}/v1/purge

Purge operation request for resources or relationships.

X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The key of the source.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/sources/string/v1/purge" \  -H "Content-Type: application/json" \  -d '{    "collectionType": "resources",    "collectionKey": "string"  }'
{  "taskId": "string",  "status": "ACCEPTED",  "purgeOperation": {    "taskId": "string",    "collectionType": "resources",    "collectionKey": "string",    "status": "SUCCESS",    "deletedCount": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}